Add a like or dislike rating to a video or remove a rating from a video.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 50 units.

**NOTE:** This does not affect the official like/dislike count of the video.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/videos/rate_8dfb26ff1eedd70e1f32ddfb89c11025f98e0e1b2a6a784e3bc00a89d246a946.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
POST https://www.googleapis.com/youtube/v3/videos/rate
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/youtube/data/guides/authentication.md.txt)).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtubepartner` |
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter specifies the YouTube video ID of the video that is being rated or having its rating removed. |
| `rating` | `string` Specifies the rating to record. Acceptable values are: - `dislike` -- Records that the authenticated user disliked the video. - `like` -- Records that the authenticated user liked the video. - `none` -- Removes any rating that the authenticated user had previously set for the video. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns an HTTP `204` response code (`No Content`).

## Errors

The following table identifies error messages that the API could return in response to a call to this method. Please see the [error message](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt) documentation for more detail.

| Error type | Error detail | Description |
|---|---|---|
| `badRequest (400)` | `emailNotVerified` | The user must verify their e-mail address prior to rating. |
| `badRequest (400)` | `invalidRating` | The request contained an unexpected value for the `rating` parameter. |
| `badRequest (400)` | `videoPurchaseRequired` | Rental videos can only be rated by users who rented them. |
| `forbidden (403)` | `forbidden` | The video that you are trying to rate cannot be rated. The request might not be properly authorized. |
| `forbidden (403)` | `videoRatingDisabled` | The owner of the video that you are trying to rate has disabled ratings for that video. |
| `notFound (404)` | `videoNotFound` | The video that you are trying to rate cannot be found. Check the value of the request's `id` parameter to ensure that it is correct. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.